%define upstream_name    App-Rad
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Extend the App::Rad framework!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
App::Rad aims to be a simple yet powerful framework for developing your
command-line applications. It can easily transform your Perl _one-liners_
into reusable subroutines than can be called directly by the user of your
program.

It also tries to provide a handy interface for your common command-line
tasks. *If you have a feature request to easen out your tasks even more,
please drop me an email or a RT feature request.*

Extending App::Rad - Plugins!
    App::Rad plugins can be loaded by naming them as arguments to the 'use
    App::Rad' statement. Just ommit the 'App::Rad::Plugin' prefix from the
    plugin name. For example:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.50.0-7pclos2017
- rebuild against updates

